PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
PSTUNAddressAttribute Class Reference

`#include <pstun.h>`

Inheritance diagram for PSTUNAddressAttribute:
[legend]
Collaboration diagram for PSTUNAddressAttribute:
[legend]

## Public Member Functions
void | InitAddrAttr (Types newType)
WORD | GetPort () const
PIPSocket::Address | GetIP () const
void | SetIPAndPort (const PIPSocketAddressAndPort &addrAndPort)
void | GetIPAndPort (PIPSocketAddressAndPort &addrAndPort)
Public Member Functions inherited from PSTUNAttribute
PSTUNAttribute * | GetNext () const

## Protected Types
enum | { SizeofAddressAttribute = sizeof(BYTE)+sizeof(BYTE)+sizeof(WORD)+4 }

## Protected Member Functions
bool | IsValidAddrAttr (Types checkType) const

## Protected Attributes
BYTE | pad
BYTE | family
PUInt16b | port
BYTE | ip [4]

## Additional Inherited Members
Public Types inherited from PSTUNAttribute
enum | Types { MAPPED_ADDRESS = 0x0001, RESPONSE_ADDRESS = 0x0002, CHANGE_REQUEST = 0x0003, SOURCE_ADDRESS = 0x0004, CHANGED_ADDRESS = 0x0005, USERNAME = 0x0006, PASSWORD = 0x0007, MESSAGE_INTEGRITY = 0x0008, ERROR_CODE = 0x0009, UNKNOWN_ATTRIBUTES = 0x000a, REFLECTED_FROM = 0x000b, CHANNEL_NUMBER = 0x000C, LIFETIME = 0x000D, XOR_PEER_ADDRESS = 0x0012, DATA = 0x0013, REALM = 0x0014, NONCE = 0x0015, XOR_RELAYED_ADDRESS = 0x0016, EVEN_PORT = 0x0018, REQUESTED_TRANSPORT = 0x0019, DONT_FRAGMENT = 0x001A, XOR_MAPPED_ADDRESS = 0x0020, RESERVATION_TOKEN = 0x0022, PADDING = 0x0026, RESPONSE_PORT = 0x0027, ALTERNATE_SERVER = 0x8023, RESPONSE_ORIGIN = 0x802b, OTHER_ADDRESS = 0x802c }
Public Attributes inherited from PSTUNAttribute
PUInt16b | type
PUInt16b | length

## Member Enumeration Documentation

anonymous enum
| protected

Enumerator
SizeofAddressAttribute |

## Member Function Documentation

PIPSocket::Address PSTUNAddressAttribute::GetIP | ( |  | ) | const

void PSTUNAddressAttribute::GetIPAndPort | ( | PIPSocketAddressAndPort & | addrAndPort | ) |

WORD PSTUNAddressAttribute::GetPort | ( |  | ) | const

void PSTUNAddressAttribute::InitAddrAttr | ( | Types | newType | ) |
| inline

References family, PSTUNAttribute::length, pad, SizeofAddressAttribute, and PSTUNAttribute::type.

bool PSTUNAddressAttribute::IsValidAddrAttr | ( | Types | checkType | ) | const
| inline protected

References PSTUNAttribute::length, SizeofAddressAttribute, and PSTUNAttribute::type.

void PSTUNAddressAttribute::SetIPAndPort | ( | const PIPSocketAddressAndPort & | addrAndPort | ) |

## Member Data Documentation

BYTE PSTUNAddressAttribute::family
| protected

Referenced by InitAddrAttr().

BYTE PSTUNAddressAttribute::ip[4]
| protected

BYTE PSTUNAddressAttribute::pad
| protected

Referenced by InitAddrAttr().

PUInt16b PSTUNAddressAttribute::port
| protected

The documentation for this class was generated from the following file:

- pstun.h